Subject: Re: bug#8219: Effect of deletions on indirect buffers (Bug#8219)

From: Chong Yidong <[email-masked]>
Date: Sun, 13 Mar 2011 13:09:45 -0400

Chong Yidong <[email-masked]> writes:

> I think we should do away with the BUF_BEGV and related macros.  Let the
> code in buffer.c manipulate the buffer->begv members directly; and the
> usage in other parts of Emacs can be replaced with buf_begv() functions
> that will update begv if necessary, and return the corrected result.

Or rather, these functions should consult the pt_marker, begv_marker and
zv_marker markers instead of accessing begv etc directly.